
Redmine - Defect #15876

incompatible character encodings: UTF-8 and ASCII-8BIT) when displaying (some) issues

2014-01-15 16:02 - john aylward

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This doesn't happen all the time, and I'm not sure what's different about the issues it's happening with. I first saw the problem with

version 2.4.1 so I upgraded using `svn update` and still see the problem.

Stack trace:

Started GET "/issues/1471" for 172.xx.xx.xx at 2014-01-15 09:54:06 -0500

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"1471"}

  Current user: aylwardj (id=6)

  Rendered issues/_action_menu.html.erb (3.8ms)

  Rendered issues/show.html.erb within layouts/base (10.6ms)

Completed 500 Internal Server Error in 122.5ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    22:   <%= avatar(@issue.author, :size => "50") %>

    23: 

    24: <div class="subject">

    25: <%= render_issue_subject_with_tree(@issue) %>

    26: </div>

    27:         <p class="author">

    28:         <%= authoring @issue.created_on, @issue.author %>.

  app/views/issues/show.html.erb:25:in `_app_views_issues_show_html_erb__984933681748395012_576942

00'

  app/controllers/issues_controller.rb:124:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:121:in `show'

 

ruby script/about:

sh: 1: darcs: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

Redmine version                2.4.2.devel.12663

Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.6.17

Mercurial                      2.0.2

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_mylyn_connector        2.8.2.stable

History

#1 - 2014-01-15 16:09 - john aylward

switching the mysql adapter from mysql to mysql2 seems to have fixed the issue.
#2 - 2014-01-15 16:28 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
